[AI35-6]Novelty Check - Extract Search Elements

post
https://connect.patsnap.com/ai/novelty-search/retrieval/elements
Try in Sandbox

Based on the technical features confirmed in [AI35-5], generate search elements (keywords, classification numbers, etc.).

Note: The preceding feature confirmation step must be completed first.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
task_id
Required
string80d440b7-80a5-4233-a75f-ab72b0885c88
Task id

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
status
integer<int32>2
Task status (1: running, 2: successful, 3: generation exception).
elements
object{ "list": [ { "express": [ { "ipc": [ { "key": "H04M1/725", "source": "keywords_extract" } ], "word": { "key": "电话", "source": "keywords_extract" }, "extend": [ { "key": "telephone", "source": "keywords_extract" }, { "key": "phone", "source": "keywords_extract" }, { "key": "telephony", "source": "keywords_extract" } ] }, { "ipc": [ { "key": "G06T7/00", "source": "keywords_extract" } ], "word": { "key": "图像识别", "source": "keywords_extract" }, "extend": [ { "key": "图像分析", "source": "keywords_extract" }, { "key": "图像处理", "source": "keywords_extract" }, { "key": "图像解析", "source": "keywords_extract" }, { "key": "image recognition", "source": "keywords_extract" }, { "key": "image analysis", "source": "keywords_extract" }, { "key": "image processing", "source": "keywords_extract" } ] } ], "selected": true, "feature_type": "topic_search", "feature_text_original": "具有图像识别能力的电话机" } ], "family_merge_enabled": false }
Retrieval elements data
list
array[ { "express": [ { "ipc": [ { "key": "H04M1/725", "source": "keywords_extract" } ], "word": { "key": "电话", "source": "keywords_extract" }, "extend": [ { "key": "telephone", "source": "keywords_extract" }, { "key": "phone", "source": "keywords_extract" }, { "key": "telephony", "source": "keywords_extract" } ] } ], "selected": true, "feature_type": "topic_search", "feature_text_original": "具有图像识别能力的电话机" } ]
Retrieval elements list
express
array[ { "ipc": [ { "key": "H04M1/725", "source": "keywords_extract" } ], "word": { "key": "电话", "source": "keywords_extract" }, "extend": [ { "key": "telephone", "source": "keywords_extract" }, { "key": "phone", "source": "keywords_extract" }, { "key": "telephony", "source": "keywords_extract" } ] } ]
Expression list
ipc
array[ { "key": "H04M1/725", "source": "keywords_extract" } ]
IPC classification list
key
string电话
Keyword
source
stringkeywords_extract
Source
word
object{ "key": "电话", "source": "keywords_extract" }
Core word
extend
array[ { "key": "telephone", "source": "keywords_extract" }, { "key": "phone", "source": "keywords_extract" }, { "key": "telephony", "source": "keywords_extract" } ]
Extended keywords list
selected
booleantrue
Selected
feature_type
stringtopic_search
Feature type (topic_search: topic elements, key_search: key elements, sup_search: supplementary elements)
feature_text_original
string具有图像识别能力的电话机
Original feature text
family_merge_enabled
boolean-
Family merge enabled
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "status": 2,
    "elements": {
      "list": [
        {
          "express": [
            {
              "ipc": [
                {
                  "key": "电话",
                  "source": "keywords_extract"
                }
              ],
              "word": {
                "key": "电话",
                "source": "keywords_extract"
              },
              "extend": [
                {
                  "key": "电话",
                  "source": "keywords_extract"
                }
              ]
            }
          ],
          "selected": true,
          "feature_type": "topic_search",
          "feature_text_original": "具有图像识别能力的电话机"
        }
      ],
      "family_merge_enabled": false
    }
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms